Method: networks.creativeWrappers.batchCreate

Creates CreativeWrapper objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/creativeWrappers:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where CreativeWrappers will be created. Format: networks/{networkCode} The parent field in the CreateCreativeWrapperRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateCreativeWrapperRequest)
    }
  ]
}
Fields
requests[]

object (CreateCreativeWrapperRequest)

Required. The CreativeWrapper objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for creativeWrappers.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "creativeWrappers": [
    {
      object (CreativeWrapper)
    }
  ]
}
Fields
creativeWrappers[]

object (CreativeWrapper)

The CreativeWrapper objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateCreativeWrapperRequest

Request object for creativeWrappers.create method.

JSON representation
{
  "parent": string,
  "creativeWrapper": {
    object (CreativeWrapper)
  }
}
Fields
parent

string

Required. The parent resource where this CreativeWrapper will be created. Format: networks/{networkCode}

creativeWrapper

object (CreativeWrapper)

Required. The CreativeWrapper to create.